<div id="kinetise-plugin-container">
    <h1>
        <a href="https://www.kinetise.com" target="_blank"><span></span></a>
        <span>Reference</span>
    </h1>
    <div class="row">
        <h2>Short description</h2>
        <p>
            Plugin allows you to easy integrate your Wordpress page into applications generated by <strong>Kinetise &reg;</strong>.
        </p>
        <p>
            This plugins add functionality to return resources info in JSON.
        </p>
    </div>
    <div class="row">
        <div style="width: 100%;">
            <h2>Reference</h2>
            <div class="reference">
                <p class="description">List of main available resources:</p>
                <code>[GET]
                    <a href="<?php echo \site_url(); ?>/?kinetiseapi" target="_blank">
                        <?php echo \site_url(); ?>/?kinetiseapi
                    </a>
                </code>

                <h4>Targets</h4>
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>pages</td>
                            <td>List of published pages. Click <strong>Pages</strong> for details.</td>
                        </tr>
                        <tr>
                            <td>categories</td>
                            <td>List of existing categories. Click <strong>Categories</strong> for details.</td>
                        </tr>
                        <tr>
                            <td>posts</td>
                            <td>List of published posts. Click <strong>Posts</strong> for details.</td>
                        </tr>
                    </tbody>
                </table>
            </div>

            <h3 class="reference-section active">Authentication</h3>
            <div class="section-container">
                <div class="reference">
                    <p class="description">
                        You can easily integrate <a href="/wp-admin/users.php"><i class="wp-menu-image dashicons-before dashicons-admin-users"></i>Users management</a> into your mobile app build with <strong>Kinetise &reg;</strong>.
                        Just add <strong>Login user/pass</strong> form widget on a <strong>Splash screen</strong>,
                        choose: <strong>To Wordpress</strong> from appeared dropdown and provide this link:
                    </p>
                    <code>[POST] <?php echo \site_url(); ?>/?kinetiseapi=auth</code>

                    <h4>Parameters</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Required</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>username</td>
                            <td><strong>body</strong></td>
                            <td>&#10004;</td>
                            <td>Wordpress user username.</td>
                        </tr>
                        <tr>
                            <td>password</td>
                            <td><strong>body</strong></td>
                            <td>&#10004;</td>
                            <td>Plain text wordpress user password.</td>
                        </tr>
                        </tbody>
                    </table>

<pre>
<span class="description">API will respond with new session ID in case of successful authorization. Example:</span>
<code>{
    "sessionId": "15213923eb13674ca4e07063a63a4638"
 }</code>
<span class="description">Now users can login into your app using their credentials from your site.</span>
</pre>
                </div>

                <div class="reference">
                    <p class="description">Logout action:</p>
                    <code>[POST] <?php echo \site_url(); ?>/?kinetiseapi=auth:logout</code>

                    <h4>Parameters</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Required</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>sessionId</td>
                            <td><strong>query</strong></td>
                            <td>&#10004;</td>
                            <td>User sessionId - dynamic kinetise param</td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <div class="reference">
                    <p class="description">Register new user action:</p>
                    <code>[POST] <?php echo \site_url(); ?>/?kinetiseapi=auth:register</code>
                    <p class="description">New user will appear in your <a href="/wp-admin/users.php"><i class="wp-menu-image dashicons-before dashicons-admin-users"></i>Users</a>  section.</p>

                    <h4>Parameters</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Required</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>username</td>
                            <td><strong>body</strong></td>
                            <td>&#10004;</td>
                            <td>New user username.</td>
                        </tr>
                        <tr>
                            <td>password</td>
                            <td><strong>body</strong></td>
                            <td>&#10004;</td>
                            <td>Plain text password.</td>
                        </tr>
                        <tr>
                            <td>password</td>
                            <td><strong>body</strong></td>
                            <td>&#10006;</td>
                            <td>New user email.</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            <h3 class="reference-section active">Pages</h3>
            <div class="section-container">
                <div class="reference">
                    <p class="description">List of published pages.</p>
                    <code>[GET]
                        <a href="<?php echo \site_url(); ?>/?kinetiseapi=pages" target="_blank">
                            <?php echo \site_url(); ?>/?kinetiseapi=pages
                        </a>
                    </code>
                    <h4>Parameters</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Required</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>pageSize</td>
                            <td><strong>query</strong></td>
                            <td>&#10006;</td>
                            <td>Total number of pages to retrieve (for pagination).</td>
                        </tr>
                        <tr>
                            <td>pageOffset</td>
                            <td><strong>query</strong></td>
                            <td>&#10006;</td>
                            <td>The number of pages to skip before returning (for pagination).</td>
                        </tr>
                        <tr>
                            <td>_sort</td>
                            <td><strong>query</strong></td>
                            <td>&#10006;</td>
                            <td>What columns to sort pages by, comma-separated. Accepts 'post_author', 'post_date', 'post_title', 'post_name', 'post_modified', 'menu_order', 'post_modified_gmt', 'post_parent', 'ID', 'rand', 'comment_count'. 'post*' can be omitted for any values that start with it. Default 'ID'.</td>
                        </tr>
                        <tr>
                            <td>_order</td>
                            <td><strong>query</strong></td>
                            <td>&#10006;</td>
                            <td>How to sort retrieved pages. Accepts 'ASC', 'DESC'. Default 'DESC'.</td>
                        </tr>
                        </tbody>
                    </table>

<pre><span class="description">API will respond with a list of all pages. Example:</span>
<code>{
    "results": [
        {
        "id": 2,
        "title": "Sample Page",
        "description": "This is an example page. It's different from a blog post because it will stay in one place and will show up in your site navigation (in most themes)...",
        "post_author": "1",
        "post_date": "2016-07-15T15:40:06+00:00",
        "post_date_gmt": "2016-07-15T15:40:06+00:00",
        "post_excerpt": "",
        "post_status": "publish",
        "comment_status": "open",
        "post_name": "sample-page",
        "post_modified": "2016-07-15T15:58:57+00:00",
        "post_modified_gmt": "2016-07-15T15:58:57+00:00",
        "post_content_filtered": "",
        "post_parent": 0,
        "guid": <?php echo \site_url(); ?>/?page_id=1",
        "menu_order": 0,
        "post_type": "page",
        "post_mime_type": "",
        "comment_count": "0",
        "filter": "raw",
        "comments_url": "<?php echo \site_url(); ?>/?kinetiseapi=comments&postId=2",
        "comments_url_add": "<?php echo \site_url(); ?>/?kinetiseapi=comments:add&postId=2",
        "ancestors": [ ],
        "page_template": "default",
        "post_category": [ ],
        "tags_input": [ ],
        "preview_url": "<?php echo \site_url(); ?>/?kinetiseapi=preview:post&postId=2",
        "_coverImage": "<?php echo \site_url();?>/wp-content/plugins/kinetise/images/tutorial/icon_wordpress.png",
        "base_title": "<?php echo \get_bloginfo('name');?>",
        "base_description": "<?php echo \get_bloginfo('description');?>",
        "base_url": "<?php echo \site_url();?>"
        }
    ]
}</code></pre>
                </div>
                <div class="reference">
                    <h4>Dynamic links in each item</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>guid</td>
                            <td>Actual link to page</td>
                        </tr>
                        <tr>
                            <td>preview_url</td>
                            <td>Preview page in html (for mobiles)</td>
                        </tr>
                        <tr>
                            <td>comments_url</td>
                            <td>Link to get list of comments for page (appears only if comments are allowed). Click <strong>Comments</strong> for details.</td>
                        </tr>
                        <tr>
                            <td>comments_url_add</td>
                            <td>Link to add new comment action (appears only if comments are allowed). Click <strong>Comments</strong> for details.</td>
                        </tr>
                        </tbody>
                    </table>
                </div>


                <div class="reference">
                    <p class="description">Preview page in html (for mobiles)</p>
                    <code>[GET] <?php echo \site_url(); ?>/?kinetiseapi=preview&postId=:id</code>

                    <h4>Parameters</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Required</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>postId</td>
                            <td><strong>query</strong></td>
                            <td>&#10004;</td>
                            <td>ID of page</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            <h3 class="reference-section active">Categories</h3>
            <div class="section-container">
                <div class="reference">
                    <p class="description">List of existing categories:</p>
                    <code>[GET]
                        <a href="<?php echo \site_url(); ?>/?kinetiseapi=categories" target="_blank">
                            <?php echo \site_url(); ?>/?kinetiseapi=categories</a>
                    </code>

<pre><span class="description">API will respond with a list of all categories. Example:</span>
<code>{
    "results": [
        {
        "id": 1,
        "title": "Uncategorized",
        "description": "",
        "term_id": 1,
        "name": "Uncategorized",
        "slug": "uncategorized",
        "term_group": 0,
        "term_taxonomy_id": 1,
        "filter": "raw",
        "cat_ID": 1,
        "category_count": 1,
        "category_description": "",
        "cat_name": "Uncategorized",
        "category_nicename": "uncategorized",
        "category_parent": 0,
        "children": "<?php echo \site_url();?>?kinetiseapi=categories&parentCat=1",
        "posts": "<?php echo \site_url();?>?kinetiseapi=posts&cat_ID=1"
        "category_add_post_url": "<?php echo \site_url();?>?kinetiseapi=posts:add&cat_ID=1"
        "_coverImage": "<?php echo \site_url();?>/wp-content/plugins/kinetise/images/tutorial/icon_wordpress.png",
        "base_title": "<?php echo \get_bloginfo('name');?>",
        "base_description": "<?php echo \get_bloginfo('description');?>",
        "base_url": "<?php echo \site_url();?>"
        }
    ]
}</code></pre>
                </div>
                <div class="reference">
                    <h4>Dynamic links in each item</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>children</td>
                            <td>List of nested categories</td>
                        </tr>
                        <tr>
                            <td>posts</td>
                            <td>List of posts in this category. Click <strong>Posts</strong> for details.</td>
                        </tr>
                        <tr>
                            <td>category_add_post_url</td>
                            <td>Link to add new post in this category action. Click <strong>Posts</strong> for details.</td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <div class="reference active">
                    <p class="description">List of nested categories:</p>
                    <code>[GET] <?php echo \site_url(); ?>/?kinetiseapi=categories&parentCat=:id</code>
                    <h4>Parameters</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Required</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>parentCat</td>
                            <td><strong>query</strong></td>
                            <td>&#10004;</td>
                            <td>ID of category</td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <div class="reference active">
                    <p class="description">List of categories for dropdown:</p>

                    <code>[GET]
                        <a href="<?php echo \site_url(); ?>/?kinetiseapi=categories:list" target="_blank">
                            <?php echo \site_url(); ?>/?kinetiseapi=categories:list</a></code>

<pre><span class="description">Response example:</span>
<code>{
    "results": [
        {
        "id": 1,
        "categoriesList": "[{"value":1,"text":"Uncategorized"}]"
        }
    ]
}</code></pre>
                </div>
            </div>

            <h3 class="reference-section active">Posts</h3>
            <div class="section-container">
                <div class="reference">
                    <p class="description">List of published posts:</p>
                    <code>[GET]
                        <a href="<?php echo \site_url(); ?>/?kinetiseapi=posts" target="_blank">
                            <?php echo \site_url(); ?>/?kinetiseapi=posts</a>
                    </code>

                    <h4>Parameters</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Required</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>pageSize</td>
                            <td><strong>query</strong></td>
                            <td>&#10006;</td>
                            <td>Total number of pages to retrieve (for pagination).</td>
                        </tr>
                        <tr>
                            <td>pageOffset</td>
                            <td><strong>query</strong></td>
                            <td>&#10006;</td>
                            <td>The number of pages to skip before returning (for pagination).</td>
                        </tr>
                        <tr>
                            <td>_sort</td>
                            <td><strong>query</strong></td>
                            <td>&#10006;</td>
                            <td>What columns to sort pages by, comma-separated. Accepts 'post_author', 'post_date', 'post_title', 'post_name', 'post_modified', 'menu_order', 'post_modified_gmt', 'post_parent', 'ID', 'rand', 'comment_count'. 'post*' can be omitted for any values that start with it. Default 'ID'.</td>
                        </tr>
                        <tr>
                            <td>_order</td>
                            <td><strong>query</strong></td>
                            <td>&#10006;</td>
                            <td>How to sort retrieved pages. Accepts 'ASC', 'DESC'. Default 'DESC'.</td>
                        </tr>
                        <tr>
                            <td>cat_ID</td>
                            <td><strong>query</strong></td>
                            <td>&#10006;</td>
                            <td>Category ID or comma-separated list of IDs (to filter response by categories).</td>
                        </tr>
                        <tr>
                            <td>cat_name</td>
                            <td><strong>query</strong></td>
                            <td>&#10006;</td>
                            <td>Category name/slug or comma-separated list of names/slugs (to filter response by categories).</td>
                        </tr>
                        </tbody>
                    </table>

<pre><span class="description">API will respond with a list of all posts. Example:</span>
<code>{
    "results": [
        {
        "id": "1",
        "title": "Hello world!",
        "description": "Welcome to WordPress. This is your first post. Edit or delete it, then start writing!",
        "post_author": "1",
        "post_date": "2016-07-15T15:40:06+00:00",
        "post_date_gmt": "2016-07-15T15:40:06+00:00",
        "post_excerpt": "",
        "post_status": "publish",
        "comment_status": "open",
        "post_name": "hello-world",
        "post_modified": "2016-07-15T15:40:06+00:00",
        "post_modified_gmt": "2016-07-15T15:40:06+00:00",
        "post_content_filtered": "",
        "post_parent": 0,
        "guid": <?php echo \site_url(); ?>/?p=1",
        "menu_order": 0,
        "post_type": "post",
        "post_mime_type": "",
        "comment_count": "1",
        "filter": "raw",
        "comments_url": "<?php echo \site_url(); ?>/?kinetiseapi=comments&postId=1",
        "comments_url_add": "<?php echo \site_url(); ?>/?kinetiseapi=comments:add&postId=1",
        "edit_post_url": "<?php echo \site_url(); ?>/?kinetiseapi=posts:edit&postId=1",,
        "delete_post_url": "<?php echo \site_url(); ?>/?kinetiseapi=posts:remove&postId=1",,
        "preview_url": "<?php echo \site_url(); ?>/?kinetiseapi=preview:post&postId=2",
        "ancestors": [],
        "page_template": "default",
        "post_category": [1],
        "tags_input": [],
        "_coverImage": "<?php echo \site_url();?>/wp-content/plugins/kinetise/images/tutorial/icon_wordpress.png",
        "base_title": "<?php echo \get_bloginfo('name');?>",
        "base_description": "<?php echo \get_bloginfo('description');?>",
        "base_url": "<?php echo \site_url();?>"
        }
    ],
    "pagination": {
        "next_url": "<?php echo \site_url();?>?kinetiseapi=posts&pageSize=1&pageOffset=1"
    }
}</code></pre>
                    <p class="description"><strong>Pagination</strong> part will appear only if <strong>pageSize</strong> param was specified and there could be more results.</p>
                </div>
                <div class="reference">
                    <h4>Dynamic links in each item</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>guid</td>
                            <td>Actual link to post</td>
                        </tr>
                        <tr>
                            <td>preview_url</td>
                            <td>Preview page in html (for mobiles)</td>
                        </tr>
                        <tr>
                            <td>comments_url</td>
                            <td>Link to get list of comments for current post (appears only if comments are allowed). Click <strong>Comments</strong> for details.</td>
                        </tr>
                        <tr>
                            <td>comments_url_add</td>
                            <td>Link to add new comment action (appears only if comments are allowed). Click <strong>Comments</strong> for details.</td>
                        </tr>
                        <tr>
                            <td>edit_post_url</td>
                            <td>Link to edit current post action (require user authorization). Click <strong>Authentication</strong> for details.</td>
                        </tr>
                        <tr>
                            <td>delete_post_url</td>
                            <td>Link to delete current post action (require user authorization). Click <strong>Authentication</strong> for details.</td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <div class="reference">
                    <p class="description">Link to add new post action.</p>
                    <code>[POST] <?php echo \site_url(); ?>/?kinetiseapi=posts:add</code>
                    <p class="attention">This action requires user to be authorized and to have appropriate permissions!</p>

                    <h4>Parameters</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Required</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>title</td>
                            <td><strong>body</strong></td>
                            <td>&#10004;</td>
                            <td>Post <strong>Title</strong></td>
                        </tr>
                        <tr>
                            <td>content</td>
                            <td><strong>body</strong></td>
                            <td>&#10004;</td>
                            <td>Post <strong>Content</strong> (accepts formatted html)</td>
                        </tr>
                        <tr>
                            <td>cat_ID</td>
                            <td><strong>query/body</strong></td>
                            <td>&#10006;</td>
                            <td>Category ID or comma-separated list of IDs. By default Post will be add as <strong>Uncategorized</strong> if this param is nt specified.</td>
                        </tr>
                        <tr>
                            <td>content_image</td>
                            <td><strong>body</strong></td>
                            <td>&#10006;</td>
                            <td>Image at the top of the content</td>
                        </tr>
                        <tr>
                            <td>cover_image</td>
                            <td><strong>body</strong></td>
                            <td>&#10006;</td>
                            <td>Cover (featured) image</td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <div class="reference">
                    <p class="description">Link to edit post action.</p>
                    <code>[POST] <?php echo \site_url(); ?>/?kinetiseapi=posts:edit&postId=:id</code>
                    <p class="attention">This action requires user to be authorized and to have appropriate permissions!</p>
                    <p class="description">You can edit post components separately.</p>

                    <h4>Parameters</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Required</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>postId</td>
                            <td><strong>query</strong></td>
                            <td>&#10004;</td>
                            <td>ID of page</td>
                        </tr>
                        <tr>
                            <td>title</td>
                            <td><strong>body</strong></td>
                            <td>&#10006;</td>
                            <td>Post <strong>Title</strong></td>
                        </tr>
                        <tr>
                            <td>content</td>
                            <td><strong>body</strong></td>
                            <td>&#10006;</td>
                            <td>Post <strong>Content</strong> (accepts formatted html)</td>
                        </tr>
                        <tr>
                            <td>content_image</td>
                            <td><strong>body</strong></td>
                            <td>&#10006;</td>
                            <td>Image at the top of the content. To replace this image - you should provide new image here and manually remove <code>&lsaquo;image&rsaquo; tag</code> from the top of <strong>Content</strong>. Otherwise new image will be prepended.</td>
                        </tr>
                        <tr>
                            <td>cover_image</td>
                            <td><strong>body</strong></td>
                            <td>&#10006;</td>
                            <td>Cover (featured) image. You can edit post components separately.</td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <div class="reference">
                    <p class="description">Link to delete post action.</p>
                    <code>[POST] <?php echo \site_url(); ?>/?kinetiseapi=posts:delete&postId=:id</code>
                    <p class="attention">This action requires user to be authorized and to have appropriate permissions!</p>

                    <h4>Parameters</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Required</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>postId</td>
                            <td><strong>query</strong></td>
                            <td>&#10004;</td>
                            <td>ID of page</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            <h3 class="reference-section active">Comments</h3>
            <div class="section-container">
                <div class="reference">
                    <p class="description">List of comments for specific post or page:</p>
                    <code>[GET]
                        <a href="<?php echo \site_url(); ?>/?kinetiseapi=comments&postId=1" target="_blank">
                            <?php echo \site_url(); ?>/?kinetiseapi=comments&postId=:id</a>
                    </code>

                    <h4>Parameters</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Required</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>postId</td>
                            <td><strong>query</strong></td>
                            <td>&#10004;</td>
                            <td>ID of post</td>
                        </tr>
                        <tr>
                            <td>pageSize</td>
                            <td><strong>query</strong></td>
                            <td>&#10006;</td>
                            <td>Total number of pages to retrieve (for pagination).</td>
                        </tr>
                        <tr>
                            <td>pageOffset</td>
                            <td><strong>query</strong></td>
                            <td>&#10006;</td>
                            <td>The number of pages to skip before returning (for pagination).</td>
                        </tr>
                        <tr>
                            <td>_sort</td>
                            <td><strong>query</strong></td>
                            <td>&#10006;</td>
                            <td>What columns to sort pages by, comma-separated. Accepts 'post_author', 'post_date', 'post_title', 'post_name', 'post_modified', 'menu_order', 'post_modified_gmt', 'post_parent', 'ID', 'rand', 'comment_count'. 'post*' can be omitted for any values that start with it. Default 'ID'.</td>
                        </tr>
                        <tr>
                            <td>_order</td>
                            <td><strong>query</strong></td>
                            <td>&#10006;</td>
                            <td>How to sort retrieved pages. Accepts 'ASC', 'DESC'. Default 'DESC'.</td>
                        </tr>
                        </tbody>
                    </table>

<pre><span class="description">API response example:</span>
<code>{
    "results": [
        {
        "id: "1",
        "title": "Mr WordPress",
        "description": "Hi, this is a comment. To delete a comment, just log in and view the post&#039;s comments. There you will have the option to edit or delete them.",
        "comment_ID": "1",
        "comment_post_ID": "1",
        "comment_author": "Mr WordPress",
        "comment_author_email": "",
        "comment_author_url": "https://wordpress.org/",
        "comment_author_IP": "",
        "comment_date": "2016-07-15T15:40:06+00:00",
        "comment_date_gmt": "2016-07-15T15:40:06+00:00",
        "comment_content": "Hi, this is a comment. To delete a comment, just log in and view the post&#039;s comments. There you will have the option to edit or delete them.",
        "comment_karma": "0",
        "comment_approved": "1",
        "comment_agent": "",
        "comment_type": "",
        "comment_parent": "0",
        "user_id: "0",
        "children: [],
        "populated_children: false,
        "comment_edit_url: "<?php echo \site_url(); ?>/?kinetiseapi=comments:edit&comment_ID=1",
        "comment_delete_url: "<?php echo \site_url(); ?>/?kinetiseapi=comments:remove&comment_ID=1",
        "comment_reply_url: "<?php echo \site_url(); ?>/?kinetiseapi=comments:reply&postId=1&parentId=1",
        "_coverImage": "<?php echo \site_url();?>/wp-content/plugins/kinetise/images/tutorial/icon_wordpress.png",
        "base_title": "<?php echo \get_bloginfo('name');?>",
        "base_description": "<?php echo \get_bloginfo('description');?>",
        "base_url": "<?php echo \site_url();?>"
        }
    ]
}</code></pre>
                </div>
                <div class="reference">
                    <h4>Dynamic links in each item</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>comment_edit_url</td>
                            <td>Link to edit comment action.</td>
                        </tr>
                        <tr>
                            <td>comment_delete_url</td>
                            <td>Link to delete comment action.</td>
                        </tr>
                        <tr>
                            <td>comment_reply_url</td>
                            <td>Link to reply action (appears only if nested comments are allowed).</td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <div class="reference">
                    <p class="description">Add new comment action:</p>
                    <code>[POST]    <?php echo \site_url(); ?>/?kinetiseapi=comments:add&postId=:id</code>
                    <p>This action requires user to be authorized if that is set in your blog <a href="/wp-admin/options-discussion.php"><i class="wp-menu-image dashicons-before dashicons-admin-settings"></i>discussion settings</a>! <span class="attention">Current state:  <strong><?php echo (\get_option('comment_registration') == 1) ? '' : 'NOT ' ?>REQUIRED</strong></span></p>
                    <p class="description">Anonymous comments usually supposed to be approved in <a href="/wp-admin/edit-comments.php"><i class="wp-menu-image dashicons-before dashicons-admin-comments"></i>comments section</a> before they will actually appear on site.</p>

                    <h4>Parameters</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Required</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>postId</td>
                            <td><strong>query</strong></td>
                            <td>&#10004;</td>
                            <td>ID of page</td>
                        </tr>
                        <tr>
                            <td>body</td>
                            <td><strong>body</strong></td>
                            <td>&#10004;</td>
                            <td>Content of new comment</td>
                        </tr>
                        <tr>
                            <td>author</td>
                            <td><strong>body</strong></td>
                            <td><?php echo (\get_option('require_name_email') == 1) ? "&#10004;" : "&#10006;";?></td>
                            <td>Author name. This field <strong>is required</strong> if that is set in your blog <a href="/wp-admin/options-discussion.php"><i class="wp-menu-image dashicons-before dashicons-admin-settings"></i>discussion settings</a>.</td>
                        </tr>
                        <tr>
                            <td>email</td>
                            <td><strong>body</strong></td>
                            <td><?php echo (\get_option('require_name_email') == 1) ? "&#10004;" : "&#10006;";?></td>
                            <td>Author email. This field <strong>is required</strong> if that is set in your blog <a href="/wp-admin/options-discussion.php"><i class="wp-menu-image dashicons-before dashicons-admin-settings"></i>discussion settings</a>.</td>
                        </tr>
                        <tr>
                            <td>website</td>
                            <td><strong>body</strong></td>
                            <td>&#10006;</td>
                            <td>Comment author website</td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <div class="reference">
                    <p class="description">Reply action:</p>
                    <code>[POST] <?php echo \site_url(); ?>/?kinetiseapi=comments:reply&postId=:id&parentId=:comment_ID</code>
                    <p>This action requires enabled threaded (nested) comments in your <a href="/wp-admin/options-discussion.php"><i class="wp-menu-image dashicons-before dashicons-admin-settings"></i>discussion settings</a>! <span class="attention">Current state:  <strong><?php echo (\get_option('thread_comments') == 1) ? '' : 'NOT ' ?>ENABLED</strong></span></p>
                    <p>This action requires user to be authorized if that is set in your blog <a href="/wp-admin/options-discussion.php"><i class="wp-menu-image dashicons-before dashicons-admin-settings"></i>discussion settings</a>! <span class="attention">Current state:  <strong><?php echo (\get_option('comment_registration') == 1) ? '' : 'NOT ' ?>REQUIRED</strong></span></p>

                    <h4>Parameters</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Required</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>postId</td>
                            <td><strong>query</strong></td>
                            <td>&#10004;</td>
                            <td>ID of page</td>
                        </tr>
                        <tr>
                            <td>parentId</td>
                            <td><strong>query</strong></td>
                            <td>&#10004;</td>
                            <td>ID of parent comment</td>
                        </tr>
                        <tr>
                            <td>body</td>
                            <td><strong>body</strong></td>
                            <td>&#10004;</td>
                            <td>Content of new comment</td>
                        </tr>
                        <tr>
                            <td>author</td>
                            <td><strong>body</strong></td>
                            <td><?php echo (\get_option('require_name_email') == 1) ? "&#10004;" : "&#10006;";?></td>
                            <td>Author name. This field <strong>is required</strong> if that is set in your blog <a href="/wp-admin/options-discussion.php"><i class="wp-menu-image dashicons-before dashicons-admin-settings"></i>discussion settings</a>.</td>
                        </tr>
                        <tr>
                            <td>email</td>
                            <td><strong>body</strong></td>
                            <td><?php echo (\get_option('require_name_email') == 1) ? "&#10004;" : "&#10006;";?></td>
                            <td>Author email. This field <strong>is required</strong> if that is set in your blog <a href="/wp-admin/options-discussion.php"><i class="wp-menu-image dashicons-before dashicons-admin-settings"></i>discussion settings</a>.</td>
                        </tr>
                        <tr>
                            <td>website</td>
                            <td><strong>body</strong></td>
                            <td>&#10006;</td>
                            <td>Comment author website</td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <div class="reference">
                    <p class="description">Edit comment content action:</p>
                    <code>[POST] <?php echo \site_url(); ?>/?kinetiseapi=comments:edit&comment_ID=:comment_ID</code>
                    <p class="attention">This action requires user to be authorized and to have appropriate permissions!</p>

                    <h4>Parameters</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Required</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>comment_ID</td>
                            <td><strong>query</strong></td>
                            <td>&#10004;</td>
                            <td>ID of comment</td>
                        </tr>
                        <tr>
                            <td>body</td>
                            <td><strong>body</strong></td>
                            <td>&#10004;</td>
                            <td>New content of the comment</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <div class="reference">
                    <p class="description">Link to delete post action.</p>
                    <code>[POST] <?php echo \site_url(); ?>/?kinetiseapi=comments:remove&comment_ID=:comment_ID</code>
                    <p class="attention">This action requires user to be authorized and to have appropriate permissions!</p>

                    <h4>Parameters</h4>
                    <table>
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>Type</th>
                            <th>Required</th>
                            <th>Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td>comment_ID</td>
                            <td><strong>query</strong></td>
                            <td>&#10004;</td>
                            <td>ID of comment to delete</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

    </div>
</div>

<script type="text/javascript">

    function addClass(el, className) {
        var regex = new RegExp(className);

        if (el.className.match(regex)) {
            return;
        }

        el.className += ' ' + className;
    }

    function removeClass(el, className) {
        var regex = new RegExp('\\s' + className);

        if (!el.className.match(regex)) {
            return;
        }

        el.className = el.className.replace(regex, '');
    }

    window.addEventListener('load', function() {
        var mainContainer = document.getElementById('kinetise-plugin-container');
        var sections = mainContainer.getElementsByClassName('section-container');
        var sectionTitles = mainContainer.getElementsByClassName('reference-section');
        var i;

        for (i = 0; i < sections.length; i++) {
            sections[i].style.display = 'none';
        }

        for (i = 0; sectionTitles.length; i++) {
            sectionTitles[i].addEventListener('click', function() {
                var current = this;
                var container = current.nextElementSibling;

                if (container.className === 'section-container') {
                    container.style.display = container.style.display === 'none' ? 'block' : 'none';

                    if (container.style.display !== 'none') {
                        addClass(current, 'active');
                    } else {
                        removeClass(current, 'active');
                    }
                }
            });

            removeClass(sectionTitles[i], 'active');
        }
    });
</script>